aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/deployqtHelper_mac.sh
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@theqtcompany.com>2015-02-25 11:19:22 +0100
committerEike Ziller <eike.ziller@theqtcompany.com>2015-02-27 10:48:51 +0000
commitb8db05c3ffad7fb2b46b35389cf86275c7e8c735 (patch)
treef547da9294f322673b34ec96d517f3403bceafa1 /scripts/deployqtHelper_mac.sh
parentd4d677ed2536408d83676212496855370d340702 (diff)
OS X: Make deployment of clang lib less fragile.
Ensure that the correct rpath is added, even if we fail to remove the old one. Change-Id: I96e37d0e26b04f240300244aa93f434a60013410 Reviewed-by: Nikolai Kosjar <nikolai.kosjar@theqtcompany.com> Reviewed-by: Eike Ziller <eike.ziller@theqtcompany.com>
Diffstat (limited to 'scripts/deployqtHelper_mac.sh')
-rwxr-xr-xscripts/deployqtHelper_mac.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index 85f7a080c5..974e008043 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -65,7 +65,8 @@ if [ $LLVM_INSTALL_DIR ]; then
_CLANG_CODEMODEL_LIB="$1/Contents/PlugIns/libClangCodeModel.dylib"
fi
# this will just fail when run a second time on libClangCodeModel
- xcrun install_name_tool -rpath "$LLVM_INSTALL_DIR/lib" "@loader_path/" "$_CLANG_CODEMODEL_LIB" || true
+ xcrun install_name_tool -delete_rpath "$LLVM_INSTALL_DIR/lib" "$_CLANG_CODEMODEL_LIB" || true
+ xcrun install_name_tool -add_rpath "@loader_path/" "$_CLANG_CODEMODEL_LIB" || true
fi
#### macdeployqt